두선사이 중심선 리습 수정가능할까요…?
컨텐츠 정보
- 339 조회
- 1 댓글
- 0 추천
- 0 비추천
- 목록
본문
제가 쓰는 두선사이 중심선 리습인데
2가지 수정하고싶습니다..
1 : 작업 마치고 다시 예전레이어로 돌아가고싶어요 (현재 리습사용중 레이어 1번으로 변경되었다가 돌아오지 않음)
2 : 두선 사이 중심선 그릴때 중심선이 기준선보다 1/10정도 더 길었으면 좋겠습니다
고수분님들 답변 부탁드립니다 ㅠㅠ
(defun c:ww (/ #ap #ad #as #ut #a #b #c #d #e #f #g #h #i #j #k #l)
(vl-load-com)
(setq #ap(vlax-get-acad-object))
(setq #ad(vla-get-activedocument #ap))
(setq #as
(if (> (vla-get-activespace #ad)0)
(vla-get-modelspace #ad)
(vla-get-paperspace #ad)
);;if
);;setq
(setq #ut(vla-get-utility #ad))
(vla-getentity #ut ‘#a ‘#b “nFirst line Select:”)
(vla-getentity #ut ‘#c ‘#d “nSecond line Select:”)
(setq #e(vlax-safearray->list(vlax-variant-value(vla-get-startpoint #a))))
(setq #f(vlax-safearray->list(vlax-variant-value(vla-get-endpoint #a))))
(setq #g(vlax-safearray->list(vlax-variant-value(vla-get-startpoint #c))))
(setq #h(vlax-safearray->list(vlax-variant-value(vla-get-endpoint #c))))
(setq #i(distance #e #g))
(setq #j(distance #e #h))
(command “layer” “s” “1” “”) ;;★중심선 레이어 설정
(if (< #i #j)
(setq #k(mapcar ‘- #e (mapcar ‘/ (mapcar ‘- #e #g)'(2.0 2.0 2.0))) #l(mapcar ‘- #f (mapcar ‘/ (mapcar ‘- #f #h)'(2.0 2.0 2.0))))
(setq #k(mapcar ‘- #e (mapcar ‘/ (mapcar ‘- #e #h)'(2.0 2.0 2.0))) #l(mapcar ‘- #f (mapcar ‘/ (mapcar ‘- #f #g)'(2.0 2.0 2.0))))
);;
if
(vla-addline #as (vlax-3d-point #k)(vlax-3d-point #l))
(mapcar ‘vlax-release-object (list #ut #as #ad #ap))
(princ)
);;defun